---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libthreadend01.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x4E8, symBinAddr: 0x2E44, symSize: 0x274 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x1C888, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0xB0, offset: 0xB0, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x1C9D8, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0xD0, offset: 0xD0, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x1C9DC, symBinAddr: 0x817C, symSize: 0x0 }
  - { offsetInCU: 0xFB, offset: 0xFB, size: 0x8, addend: 0x0, symName: __ZL6prefix, symObjAddr: 0x1C9E0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x114, offset: 0x114, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1C9E8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8D2D, offset: 0x8D2D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x1C9F0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8D46, offset: 0x8D46, size: 0x8, addend: 0x0, symName: __ZL14eventsExpected, symObjAddr: 0x1CB28, symBinAddr: 0x82C8, symSize: 0x0 }
  - { offsetInCU: 0x8DAB, offset: 0x8DAB, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x30B8, symSize: 0x24 }
  - { offsetInCU: 0x9037, offset: 0x9037, size: 0x8, addend: 0x0, symName: __Z17print_thread_infoP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x37C, symBinAddr: 0x2CD8, symSize: 0x16C }
  - { offsetInCU: 0x92E2, offset: 0x92E2, size: 0x8, addend: 0x0, symName: _ThreadEnd, symObjAddr: 0xC70, symBinAddr: 0x30DC, symSize: 0x188 }
  - { offsetInCU: 0x949B, offset: 0x949B, size: 0x8, addend: 0x0, symName: _Java_threadend01_getReady, symObjAddr: 0xEB0, symBinAddr: 0x3264, symSize: 0x110 }
  - { offsetInCU: 0x95B4, offset: 0x95B4, size: 0x8, addend: 0x0, symName: _Java_threadend01_check, symObjAddr: 0xFC0, symBinAddr: 0x3374, symSize: 0xF4 }
  - { offsetInCU: 0x96BF, offset: 0x96BF, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x10B4, symBinAddr: 0x3468, symSize: 0xB8 }
  - { offsetInCU: 0x97E9, offset: 0x97E9, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x116C, symBinAddr: 0x3520, symSize: 0xB8 }
...
